// Copyright Pacificao. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "Engine/DataAsset.h"
#include "AgrarianTypes.h"
#include "AgrarianRecipeDataAsset.generated.h"

UCLASS(BlueprintType)
class UAgrarianRecipeDataAsset : public UPrimaryDataAsset
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadOnly, Category = "Agrarian|Crafting")
	FAgrarianRecipe Recipe;

	UFUNCTION(BlueprintCallable, Category = "Agrarian|Crafting")
	FName GetRecipeId() const;
};
